Win a copy of Learn Spring Security (video course) this week in the Spring forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Cannot configure SSI on Tomcat 7.0.26

 
James Fraley
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi. I'm new to administering Apache, so please be kind. I'm trying to get SSI to work on Apache 7.0.26 with JDK 6 update 31. I've tried to configure it on both windows and Linux and get the same result, so I'm reasonable sure it's a configuration issue. What I've done is:

1: Install a clean copy of windows (or Linux)
2: Install JDK 6u31
3: Install Tomcat 7.0.26
4: Test the install to ensure it works (and it does)
5: create the main.shtml and sub.html
6: Edit the web.xml to enable the SSI filter or the SSI
7: Try the load main.shtml and I get nothing... But I do get the following error in the Tomcat7-stderr log: SEVERE: Error filterStart

I've found 2 possible errors. First that there could be a conflict between the version of java that tomcat was compiled with and the version that was running. Second, that the context needs to be marked as privileged.

I know this is a possible security hole, but I'm the sole user.

I've wasted 2 days on this problem. So, I REALLY appreciate any help you can offer.

Thanks
Jim

-------------------------------web.xml-------------------------






-------------------------------main.shtml-------------------------


-------------------------------sub.html-------------------------


-----------------------tomcat7-stderr.2012-02-28.log


 
James Fraley
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
After 2 days and 1000s of attempts, it was setting privileged="true" in the context.xml file.



I hope this might help someone else avoid the pain.

Jim
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic